

API

Movie API: https://www.omdbapi.com/

For your local run:

Create .env file in root folder, where you store your API_KEY





Starting app

Android

start Emulator Pixel XL API 31 in Android Studio
open Terminal and start Metro with commands:


npx react-native start

on new Terminal tab build app: npx react-native run-android


Now you should be able to see your application

Views

### Views
<img src="https://user-images.githubusercontent.com/56548420/214322014-fbda44f9-f0a7-4aec-a5e1-c9a8b88a0e1d.png"  width="300" /> <img src="https://user-images.githubusercontent.com/56548420/214322168-95256bf2-1174-4104-9a77-e7553302d7c0.png" width="300" /> <img src="https://user-images.githubusercontent.com/56548420/214323074-a447726d-0ed6-4328-8579-b5fc2e18d3d7.png" width="300" />




### for generate apk

1.  npx mkdirp android/app/src/main/assets/ && react-native bundle --platform android --dev false --entry-file index.js --bundle-output android/app/src/main/assets/index.android.bundle --assets-dest android/app/src/main/res/


2.  gradlew assembleRelease






